<div fxLayout="column" style="z-index: 1!important;">
  <div fxLayout="row" [style.height.px]="internalHeight" style="overflow-y: auto; padding: 5px;">
    <dx-data-grid
      #table
      [dataSource]="data"
      [noDataText]="noDataText"
      style="overflow-x: auto;"
      (onExporting)="onExporting($event)"
      [showBorders]="true"
      [focusedRowEnabled]="true"
      [showColumnLines]="true"
      [showRowLines]="true"
      keyExpr="id"
      [rowAlternationEnabled]="true"
      [allowColumnResizing]="true"
      [columnAutoWidth]="true"
      [allowColumnReordering]="true">
      <dxo-export
        [enabled]="true"
        [formats]="['pdf', 'xlsx', 'docx', 'csv']"
      ></dxo-export>
      <dxo-column-chooser [allowSearch]="true" [enabled]="true"
                          [emptyPanelText]="'Σύρτε μια στήλη εδώ για να την αποκρύψετε'"
                          [title]="'Απόκρυψη στηλών'"></dxo-column-chooser>
      <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
      <dxo-filter-row
        [visible]="showFilterRow"
        [applyFilter]="currentFilter"
      ></dxo-filter-row>
      <dxo-header-filter [visible]="showHeaderFilter" [title]="'Επιλογή όλων'" [textContent]="'Επιλογή'"
                         [texts]="{cancel: 'άκυρο', emptyValue: 'Επιλογή όλων'}"></dxo-header-filter>
      <dxo-search-panel
        [visible]="true"
        [width]="240"
        placeholder="Αναζήτηση..."
      ></dxo-search-panel>
      <dxo-grouping
        [contextMenuEnabled]="true">
      </dxo-grouping>
      <dxo-group-panel [emptyPanelText]="'Σύρτε μια στήλη εδώ για να την ομαδοποιήσετε'"
                       [visible]="true"></dxo-group-panel>
      <dxi-column *ngIf="hasActions"
        [width]="70"
        [alignment]="'left'"
        dataField="id"
        caption="Ενέργειες"
        [allowFiltering]="false"
        [allowSorting]="false"
        [allowExporting]="false"
        [allowGrouping]="false"
        cellTemplate="cellTemplate-report"
      ></dxi-column>
      <dxi-column *ngFor="let column of renderDateColumns()" [title]="column.label"
                  [caption]="displayCaption(column.label)" [dataField]="column.key" [alignment]="'left'"
                  [format]="'dd-MM-yyyy HH:mm'" [showWhenGrouped]="true" [dataType]="'date'"
                  [visible]="column.displayOnTable"></dxi-column>

      <dxi-column *ngFor="let column of renderNonDateColumns()" [title]="column.label"
                  [caption]="displayCaption(column.label)" [dataField]="column.key" [alignment]="'left'"
                  [showWhenGrouped]="true" [visible]="column.displayOnTable"></dxi-column>


      <dxo-paging [pageSize]="200"></dxo-paging>

      <div *dxTemplate="let data of 'cellTemplate-report'" fxLayout="row" fxLayoutGap="5px">
        <button mat-icon-button class="internal-icons"
                matTooltip="Προεπισκόπηση">
          <mat-icon>visibility</mat-icon>
        </button>
        <button mat-icon-button class="internal-icons"
                matTooltip="Λήψη pdf">
          <mat-icon>download</mat-icon>
        </button>
      </div>

    </dx-data-grid>
  </div>
</div>
